Skip to main content
GET
/
orgs
/
{org_id}
/
devices
List devices
curl --request GET \
  --url https://api.punchrescue.com/api/public/v1/orgs/{org_id}/devices \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "deviceId": "<string>",
      "deviceType": "<string>",
      "status": "<string>",
      "name": "<string>",
      "printedId": "<string>",
      "lastSeen": "<string>",
      "pairedDeviceCount": 123,
      "alarmActive": true,
      "activeAlertId": "<string>",
      "alarmColor": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required

Target organization id (from the route path)

Query Parameters

deviceType
string | null

base-station | wearable | repeater | card. Omit to list all types combined.

Pattern: ^(base-station|wearable|repeater|card)$
status
string | null

online | offline

cursor
string | null
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

items
PublicDeviceResponse · object[]
required
nextCursor
string | null